Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon.com110
Class Operation110

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.Operation
          org.deegree.owscommon.com110.Operation110

All Implemented Interfaces:
  Serializable

    public class Operation110

extends Operation

TODO class description

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`Operation110(String name, DCPType[] dcps, OWSDomainType110[] parameters, OWSDomainType110[] constraints, OWSMetadata[] metadata)` Creates a new `Operation110` object with information on `DHCP`, `Parameter` and `Constraint`.

Method Summary
`OWSDomainType110` | `getConstraint110(String name)`
`OWSDomainType110[]` | `getConstraints110()` Returns an array of all the constraint objects.
`OWSMetadata[]` | `getMetadata110()` Returns an array of all the metadata objects.
`OWSDomainType110` | `getParameter110(String name)`
`OWSDomainType110[]` | `getParameters110()` Returns an array of all the parameter objects.

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.Operation
`getDCPs, getMetadata, getName, getParameter, getParameters, setDCPs, setMetadata, setName, setParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Operation110

    public Operation110(String name,
                        DCPType[] dcps,
                        OWSDomainType110[] parameters,
                        OWSDomainType110[] constraints,
                        OWSMetadata[] metadata)

  Creates a new `Operation110` object with information on `DHCP`, `Parameter` and `Constraint`.

  Parameters:
    `name` -
    `dcps` -
    `parameters` -
    `constraints` -
    `metadata` -

Method Detail

### getParameters110

    public OWSDomainType110[] getParameters110()

  Returns an array of all the parameter objects. If parameters is null, an array of size 0 is returned.

  Returns:
    Returns all the parameters.

### getParameter110

    public OWSDomainType110 getParameter110(String name)

  Parameters:
    `name` -
  Returns:
    Returns the parameter object to the given name.

### getConstraints110

    public OWSDomainType110[] getConstraints110()

  Returns an array of all the constraint objects. If constraints is null, an array of size 0 is returned.

  Returns:
    Returns all the constraints.

### getConstraint110

    public OWSDomainType110 getConstraint110(String name)

  Parameters:
    `name` -
  Returns:
    Returns the constraint object to the given name.

### getMetadata110

    public OWSMetadata[] getMetadata110()

  Returns an array of all the metadata objects. If metadata is null, an array of size 0 is returned.

  Returns:
    Returns the metadata.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org